/*
 * WC-Licht header file.
 */

//#define ANIMATION_DELAY 195 // ~ 200ms @ 1MHz/1024
#define ANIMATION_DELAY 49 // ~ 50ms @ 1MHz/1024
//#define INTERLUDE_DELAY 19531 // ~ 20s @ 1MHz/1024
#define INTERLUDE_DELAY 3906 // ~ 4s @ 1MHz/1024
#define SIZE_X 8
#define SIZE_Y 8

#define HORIZ_PORT PORTD
#define HORIZ_DDR DDRD
#define HORIZ_PIN PIND
#define HORIZ HORIZ_DDR

#define VERT_PORT PORTB
#define VERT_DDR DDRB
#define VERT_PIN PINB
#define VERT VERT_PORT

#define DELAY OCR1A


typedef struct {
    const uint8_t length;
    const uint8_t frames[][SIZE_X*2];
} Animation;


void play_animation (const Animation*);
void copy_layer (const uint8_t*, uint8_t*);
void push_layer (const uint8_t*, uint8_t*);
int main (void);

